package jx.cn.escort.adapter


import android.content.Context
import android.util.TypedValue
import android.view.*
import androidx.recyclerview.widget.RecyclerView
import com.xuexiang.xui.utils.ResUtils.getResources
import com.xuexiang.xui.widget.textview.supertextview.SuperTextView
import jx.cn.escort.R
import jx.cn.escort.beans.StatData


open class IndexStatRecycleAdapter(): RecyclerView.Adapter<IndexStatRecycleAdapter.IndexStatRecycleViewHolder>() {


    private var context: Context?=null
    private var mData = mutableListOf<StatData>()
    constructor(context: Context?):this(){
        this.context=context
    }
    constructor(context: Context?,  source:Collection<StatData>):this(context){
        if (source.isNotEmpty()) {
            source.forEach{
                mData.add(it)
            }

        }

    }







    class    IndexStatRecycleViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        var item: View?= itemView
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): IndexStatRecycleViewHolder {
        val view= LayoutInflater.from(context).inflate(R.layout.fragment_stat,parent,false)
        return IndexStatRecycleViewHolder(view)

    }

    override fun onBindViewHolder(holder: IndexStatRecycleViewHolder, position: Int) {

        var statListItem=holder.item?.findViewById<SuperTextView>(R.id.stat_list_item)
        var layoutPosition = holder.layoutPosition
        statListItem?.setCenterBottomString(mData.get(layoutPosition).title)
        statListItem?.setCenterString(mData.get(layoutPosition).state)

        val width = TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, 100f,
            context?.let { getResources(it).getDisplayMetrics() }).toInt()
        val params: ViewGroup.LayoutParams? = statListItem?.layoutParams
        params?.width = width
        statListItem?.setLayoutParams(params)
    }

    override fun getItemCount(): Int {
        return mData.size
    }

}